<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" >

    <data >
        <import type="android.view.View" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.PersonalVerityVModel" />
    </data >

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingStart="@dimen/dp_14"
        android:paddingEnd="@dimen/dp_14" >

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_55"
            android:text="@string/id_information_upload"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

<!--     app:url="@{vm.imgIDMan}"    -->

        <com.qmuiteam.qmui.widget.QMUIRadiusImageView
            android:id="@+id/img_id_man"
            android:layout_width="146dp"
            android:layout_height="96dp"
            android:layout_marginTop="@dimen/dp_8"
            android:onClick="@{v->vm.choseImg(1)}"
            android:scaleType="fitXY"
            android:src="@drawable/ic_default_image"
            app:layout_constraintStart_toStartOf="@id/tv_title"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            app:qmui_radius="1dp"
            app:url="@{vm.imgIDMan}" />

        <com.qmuiteam.qmui.widget.QMUIRadiusImageView
            android:id="@+id/img_id_emblem"
            android:layout_width="146dp"
            android:layout_height="96dp"
            android:scaleType="fitXY"
            android:src="@drawable/ic_default_image"
            app:layout_constraintEnd_toEndOf="parent"
            android:onClick="@{v->vm.choseImg(2)}"
            app:layout_constraintTop_toTopOf="@id/img_id_man"
            app:qmui_radius="1dp"
            app:url="@{vm.imgIDEmblem}"/>

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
            android:id="@+id/lay_input"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_12"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:paddingStart="@dimen/dp_8"
            android:paddingEnd="@dimen/dp_14"
            app:layout_constraintTop_toBottomOf="@id/img_id_man"
            app:qmui_borderColor="#F4F3F9"
            app:qmui_borderWidth="@dimen/dp_1"
            app:rv_radius="25dp" >

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_14" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/name" />

                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/edt_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/white"
                    android:hint="@string/name_must_equal_to_id_card"
                    android:paddingStart="@dimen/dp_18"
                    android:text="@={vm.name}"
                    android:textSize="@dimen/sp_13" />

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout >

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_14" >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/id_number" />

                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/edt_id_number"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/white"
                    android:hint="@string/please_input_id_number"
                    android:inputType="phone"
                    android:paddingStart="@dimen/dp_18"
                    android:text="@={vm.iDNumber}"
                    android:textSize="@dimen/sp_13" />

            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout >

        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout >

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/sp_12"
            android:text="@string/personal_verify_tip"
            android:textColor="#F17706"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/lay_input" />

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/btn_submmit"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_30"
            android:layout_marginEnd="@dimen/dp_30"
            android:layout_marginBottom="@dimen/dp_30"
            android:onClick="@{v->vm.toSubmit()}"
            android:visibility="@{vm.isShow?View.VISIBLE :View.GONE}"
            android:text="@string/submit"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout >

</layout >
